Skip to content

API Reference

Add risk assessment information

POST /v1/retail/risk_assessment https://api.cable.tech

Retail endpoint for adding new customer risk assessment information

Authentication

  • API key in the x-api-key header

Request body

application/json list of objects required

Request body for adding risk assessment information for a parent entity

  • timestamp string required

    Original timestamp relating to this risk assessment information creation/change

    Format date-time

  • data object required
    • type string required

      Type of risk assessment eg. pre-onboarding risk rating, risk band, risk engine score

      Example onboarding risk band

    • outcome string required

      The outcome of the assessment. One of: LOW, MEDIUM, HIGH, CRITICAL

    • custom object

      Custom data that is relevant. This can be any JSON object. Please include any details and data points that our schema does not capture.

  • parent object required
    • id string required

      Unique external identifier of the parent entity, ID stored in your database / back-office

      Limits min length 1

Responses

200 Operation success

  • success boolean required

    You probably did something wrong if you set this to false

    Default true

Errors

  • default Operation error

Error body default

  • code string required
  • message string required
  • data object